Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/IQuestionRepo.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/IQuestionRepo.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/IQuestionRepo.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,19 +1,6 @@
-﻿using FinkiChattery.Persistence.Models;
-using FinkiChattery.Persistence.Repositories.Contracts;
-using System;
-using System.Collections.Generic;
-using System.Threading.Tasks;
-
-namespace FinkiChattery.Persistence.Repositories
+﻿namespace FinkiChattery.Persistence.Repositories
 {
-    public interface IQuestionRepo : IRepository<Question>
+    public interface IQuestionRepo
     {
-        Task<List<QuestionPreviewDto>> SearchQuestions(string searchText, IEnumerable<Guid> categories);
-
-        Task<QuestionStateDto> GetQuestionState(Guid questionUid);
-
-        Task<List<QuestionPreviewDto>> GetPreviewQuestionsLatest();
-     
-        Task<List<QuestionPreviewDto>> GetPreviewQuestionsPopular();
     }
 }
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/IStudentRepo.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/IStudentRepo.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/IStudentRepo.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -4,5 +4,5 @@
 namespace FinkiChattery.Persistence.Repositories
 {
-    public interface IStudentRepo : IRepository<Student>
+    public interface IStudentRepo
     {
         public Task<Student> GetStudent(long applicationUserFk);
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/ITeamRepo.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/ITeamRepo.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Contracts/ITeamRepo.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,9 +1,8 @@
-﻿using FinkiChattery.Persistence.Models;
-using System;
+﻿using System;
 using System.Threading.Tasks;
 
 namespace FinkiChattery.Persistence.Repositories
 {
-    public interface ITeamRepo : IRepository<Team>
+    public interface ITeamRepo
     {
         public Task<bool> TeamWithUidExists(Guid teamUid);
Index: src/FinkiChattery/FinkiChattery.Persistence/Repositories/Implementations/QuestionRepo.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Persistence/Repositories/Implementations/QuestionRepo.cs	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Persistence/Repositories/Implementations/QuestionRepo.cs	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,13 +1,4 @@
 ﻿using FinkiChattery.Persistence.Context;
 using FinkiChattery.Persistence.Models;
-using FinkiChattery.Persistence.Repositories.Contracts;
-using Microsoft.Data.SqlClient;
-using Microsoft.EntityFrameworkCore;
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Linq.Expressions;
-using System.Text.RegularExpressions;
-using System.Threading.Tasks;
 
 namespace FinkiChattery.Persistence.Repositories
@@ -18,130 +9,4 @@
         {
         }
-
-        public async Task<List<QuestionPreviewDto>> GetPreviewQuestionsLatest()
-        {
-            Expression<Func<Question, DateTime>> orderBy = x => x.CreatedOn;
-            return await GetPreviewQuestions(orderBy);
-        }
-
-        public async Task<List<QuestionPreviewDto>> GetPreviewQuestionsPopular()
-        {
-            Expression<Func<Question, long>> orderBy = x => x.Views;
-            return await GetPreviewQuestions(orderBy);
-        }
-
-        private async Task<List<QuestionPreviewDto>> GetPreviewQuestions<T>(Expression<Func<Question, T>> orderBy)
-        {
-            return await DbSet
-                .AsNoTracking()
-                .Include(x => x.QuestionCategories).ThenInclude(x => x.Category)
-                .OrderByDescending(orderBy)
-                .Select(x => new QuestionPreviewDto(x.Id,
-                                                    x.Uid,
-                                                    x.Title,
-                                                    x.Views,
-                                                    x.AnswersCount,
-                                                    x.CreatedOn,
-                                                    x.QuestionCategories.Select(y => new QuestionPreviewCategoryDto(y.Id, y.Uid, y.Category.Name))))
-                .Skip(0).Take(30)
-                .ToListAsync();
-        }
-
-        public async Task<QuestionStateDto> GetQuestionState(Guid questionUid)
-        {
-            // TODO: MAYBE WRITE THIS QUERY AS SP ??
-            var questionDto = await DbSet
-              .AsNoTracking()
-              .Include(x => x.Student)
-              .Include(x => x.Team)
-              .Include(x => x.Answers).ThenInclude(y => y.Student)
-              .Include(x => x.Answers).ThenInclude(y => y.AnswerResponses).ThenInclude(y => y.Student)
-              .Include(x => x.QuestionCategories).ThenInclude(y => y.Category)
-              .Where(x => x.Uid == questionUid)
-              .Select(x => new QuestionStateDto(
-                                                x.Id,
-                                                x.Uid,
-                                                x.Title,
-                                                x.Text,
-                                                x.CreatedOn,
-                                                x.Views,
-                                                x.LastActiveOn,
-                                                new StudentQuestionStateDto(
-                                                  x.Student.Id,
-                                                  x.Student.Uid,
-                                                  x.Student.IndexNumber,
-                                                  x.Student.ImageUrl,
-                                                  x.Student.Reputation),
-                                                x.Answers.Select(y =>
-                                                new AnswerQuestionStateDto(
-                                                    y.Id,
-                                                    y.Uid,
-                                                    y.Text,
-                                                    y.CorrectAnswer,
-                                                    y.CreatedOn,
-                                                    y.UpvotesCount,
-                                                    new AnswerStudentQuestionStateDto(
-                                                        y.Student.Id,
-                                                        y.Student.Uid,
-                                                        y.Student.IndexNumber,
-                                                        y.Student.ImageUrl,
-                                                        y.Student.Reputation),
-                                                    y.AnswerResponses.Select(z =>
-                                                    new AnswerResponseQuestionStateDto(
-                                                        z.Id,
-                                                        z.Uid,
-                                                        z.Text,
-                                                        z.CreatedOn,
-                                                        new AnswerResponseStudentQuestionStateDto(
-                                                            z.Student.Id,
-                                                            z.Student.Uid,
-                                                            z.Student.IndexNumber,
-                                                            z.Student.ImageUrl,
-                                                            z.Student.Reputation))))),
-                                                x.QuestionCategories.Select(y =>
-                                                new QuestionCategoryQuestionStateDto(
-                                                    y.Id,
-                                                    y.Uid,
-                                                    y.Category.Name)),
-                                                x.Team == null ? null : new TeamQuestionStateDto(
-                                                    x.Team.Id,
-                                                    x.Team.Uid,
-                                                    x.Team.Name)))
-              .FirstOrDefaultAsync();
-
-            return questionDto;
-        }
-
-        public async Task<List<QuestionPreviewDto>> SearchQuestions(string searchText, IEnumerable<Guid> categories)
-        {
-            var search = Regex.Replace(searchText, "[\\\\/:*?\"<>\\]\\[|&'`~^=%,(){}_\\-]", " ")
-                                     .Split(" ".ToArray(), StringSplitOptions.RemoveEmptyEntries)
-                                     .Select(c => $"\"{c}*\"");
-
-            var searchString = string.Join(" AND ", search);
-
-            var rawQuery = (IQueryable<Question>)
-                DbSet.FromSqlRaw(@"
-                        SELECT [q].[Id], [q].[Uid], [q].[Title], [q].[Views], [q].[AnswersCount], [q].[CreatedOn] 
-                        FROM [dbo].[Question] AS [q]
-                        INNER JOIN CONTAINSTABLE(Question, Search, @searchString, 30) ccontains ON [q].[Id] = ccontains.[KEY]",
-                        new SqlParameter("searchString", searchString))
-                .Include(x => x.QuestionCategories).ThenInclude(x => x.Category);
-
-            if (categories.Any())
-            {
-                rawQuery = rawQuery.Where(x => x.QuestionCategories.Any(y => categories.Contains(y.Category.Uid)));
-            }
-
-            return await rawQuery
-                .Select(x => new QuestionPreviewDto(x.Id,
-                                    x.Uid,
-                                    x.Title,
-                                    x.Views,
-                                    x.AnswersCount,
-                                    x.CreatedOn,
-                                    x.QuestionCategories.Select(y => new QuestionPreviewCategoryDto(y.Id, y.Uid, y.Category.Name))))
-                .ToListAsync();
-        }
     }
 }
Index: src/FinkiChattery/FinkiChattery.Queries/FinkiChattery.Queries.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Queries/FinkiChattery.Queries.csproj	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.Queries/FinkiChattery.Queries.csproj	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -1,13 +1,7 @@
-﻿<Project Sdk="Microsoft.NET.Sdk">
+<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
-  <ItemGroup>
-    <ProjectReference Include="..\FinkiChattery.Common\FinkiChattery.Common.csproj" />
-    <ProjectReference Include="..\FinkiChattery.Persistence\FinkiChattery.Persistence.csproj" />
-  </ItemGroup>
-
 </Project>
Index: src/FinkiChattery/FinkiChattery.sln
===================================================================
--- src/FinkiChattery/FinkiChattery.sln	(revision 79ae62142b33ae03175dade171a7f5e23c1424dc)
+++ src/FinkiChattery/FinkiChattery.sln	(revision 81e1ed63dc82abe5e83cc7f2a71c977a8d12dec6)
@@ -22,48 +22,34 @@
 Project("{00D1A9C2-B5F0-4AF3-8072-F6C62B433612}") = "FinkiChattery.HangfireDatabase", "FinkiChattery.HangfireDatabase\FinkiChattery.HangfireDatabase.sqlproj", "{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Commands", "FinkiChattery.Commands\FinkiChattery.Commands.csproj", "{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Commands", "FinkiChattery.Commands\FinkiChattery.Commands.csproj", "{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}"
 EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "FinkiChattery.Queries", "FinkiChattery.Queries\FinkiChattery.Queries.csproj", "{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "FinkiChattery.Queries", "FinkiChattery.Queries\FinkiChattery.Queries.csproj", "{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}"
 EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug_Docker|Any CPU = Debug_Docker|Any CPU
 		Debug|Any CPU = Debug|Any CPU
 		Release|Any CPU = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8CD7796E-5DC1-413D-8D04-3C95E89BB214}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D2EADD50-983E-48EE-8B36-7CF088DCF8AE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1BA385FA-32FC-4237-85D2-705EEBCAFD06}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4D2F08BF-44F0-427D-B5B8-079233500FA8}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E69CDEE7-B2F5-42F4-81F0-11DCDC1C8CC9}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
-		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug_Docker|Any CPU.Deploy.0 = Debug_Docker|Any CPU
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -72,7 +58,4 @@
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Release|Any CPU.Build.0 = Release|Any CPU
 		{5E1219F5-FC7D-4138-811D-26934E946D30}.Release|Any CPU.Deploy.0 = Release|Any CPU
-		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
-		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug_Docker|Any CPU.Deploy.0 = Debug_Docker|Any CPU
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -81,12 +64,8 @@
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Release|Any CPU.Build.0 = Release|Any CPU
 		{C4CB8596-3F3A-4B4E-BEC5-0720FF7CD532}.Release|Any CPU.Deploy.0 = Release|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Debug|Any CPU.Build.0 = Debug|Any CPU
 		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{7AD9C86F-46FF-442A-B134-3CE2E82CE0D0}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug_Docker|Any CPU.ActiveCfg = Debug_Docker|Any CPU
-		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug_Docker|Any CPU.Build.0 = Debug_Docker|Any CPU
 		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D19820A3-E6E6-4B1C-927A-C8B8B4B16D25}.Debug|Any CPU.Build.0 = Debug|Any CPU
